
def startsdi12(comm):
    ser = comm.ser
    
    print "enter SDI12 mode..."
    time.sleep(1.0)
    ser.write("[[[[[[[[[[[")
    print "Waiting..."
    time.sleep(0.5)

    n = ser.inWaiting()
    if n:
        result = ser.read(n)
    
    print "Enter SDI12 mode said:", result
    return True

def querysdi12(cmd, comm):
    comm.flush_all()
    ser = comm.ser
    ser.write(cmd)
    time.sleep(1.0)

    n = ser.inWaiting()
    if n:
        result = ser.read(n)
        return result.strip()


import time
comm = self.comm
result = startsdi12(comm)
if result == False:
    sys.exit(0)

f = open("sdi12out.txt", 'w')
while 1:
    print ".",
    cmd = "?R3!"
    result = querysdi12(cmd, comm)
    a, b, c = [r for r in result.split()[1:4]]
    curTime = str(int(time.time()))
    print >>f, ",".join([curTime, a, b, c])
    f.flush()
    time.sleep(1.0)
